<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:define name="popup_title">
            <h:outputText value="#{messages['gazelle.ordermanager.AddALabelToTheRequest']}"/>
        </ui:define>
        <ui:param name="popup_id" value="newContainerPanel"/>
        <s:div id="sacContent">
            <s:div id="details" rendered="#{labelDeliveryRequestSender.currentContainer != null}"
                styleClass="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="sac1"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.ContainerIdentifier_2']}</ui:define>
                    <h:inputText value="#{labelDeliveryRequestSender.currentContainer.containerIdentifier}"
                                 id="sac1" styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="sac2"/>
                    <ui:define
                            name="label">#{messages['gazelle.ordermanager.PrimaryContainerIdentifier']}</ui:define>
                    <h:inputText value="#{labelDeliveryRequestSender.currentContainer.primaryContainerIdentifier}"
                                 id="sac2" styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="sac3"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.CarrierId']}</ui:define>
                    <h:inputText value="#{labelDeliveryRequestSender.currentContainer.carrierIdentifier}" id="sac3"
                                 styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="sac4"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.PositionInCarrier']}</ui:define>
                    <h:inputText value="#{labelDeliveryRequestSender.currentContainer.positionInCarrier}" id="sac4"
                                 styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="sac5"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.TrayId']}</ui:define>
                    <h:inputText value="#{labelDeliveryRequestSender.currentContainer.trayIdentifier}" id="sac5"
                                 styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="sac6"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.PositionInTray']}</ui:define>
                    <h:inputText value="#{labelDeliveryRequestSender.currentContainer.positionInTray}" id="sac6"
                                 styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="sac7"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.Location']}</ui:define>
                    <h:inputText value="#{labelDeliveryRequestSender.currentContainer.location}" id="sac7"
                                 styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="sac27"/>
                    <ui:define name="label">#{messages['gazelle.ordermanager.CapType']}</ui:define>
                    <h:inputText value="#{labelDeliveryRequestSender.currentContainer.capType}" id="sac27"
                                 styleClass="form-control" required="true"/>
                </s:decorate>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton value="#{messages['gazelle.ordermanager.Add']}"
                               actionListener="#{labelDeliveryRequestSender.confirmAddLabel()}"
                               oncomplete="jq162('#newContainerPanel').modal('hide')"
                               render="spmdetails" styleClass="gzl-btn-green"/>
            <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}"
                               actionListener="#{labelDeliveryRequestSender.setCurrentContainer(null)}"
                               oncomplete="jq162('#newContainerPanel').modal('hide')"
                               styleClass="gzl-btn"/>
        </ui:define>
    </ui:decorate>
</ui:composition>